.navigation {
    width: 100vw;
    height: 60px;
    position: fixed;
    background: var(--gradient);
    background-size: 800% 800%;
    -webkit-animation: BackgroundAnimation 100s ease infinite;
    -moz-animation: BackgroundAnimation 100s ease infinite;
    animation: BackgroundAnimation 100s ease infinite;
    z-index: 10;
}

@-webkit-keyframes BackgroundAnimation {
    0% {
        background-position: 0 50%
    }
    50% {
        background-position: 100% 50%
    }
    100% {
        background-position: 0% 50%
    }
}
@-moz-keyframes BackgroundAnimation {
    0% {
        background-position: 0 50%
    }
    50% {
        background-position: 100% 50%
    }
    100% {
        background-position: 0 50%
    }
}
@keyframes BackgroundAnimation {
    0% {
        background-position: 0 50%
    }
    50% {
        background-position: 100% 50%
    }
    100% {
        background-position: 0 50%
    }
}

.navigation_name {
    position: absolute;
    top: 50%;
    left: 10px;
    transform: translate(0, -50%);
    color: var(--light);
    font-size: 20px;
    text-decoration: none;
}

.navigation_name:hover {
    cursor: pointer;
}

#currentSite {
    position: absolute;
    font-size: 30px;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: var(--light);
}

.navigation section {
    position: absolute;
    width: max-content;
    top: 50%;
    left: 100%;
    transform: translate(-110%, -50%);
}

.navigation_button {
    margin: 5px;
    width: 100px;
    height: 30px;
    background: none;
    border: 2px solid var(--light);
    border-radius: 10px;
    color: var(--light);
    transition: 200ms;
}

.navigation_button:hover {
    background: var(--light);
    color: var(--dark);
    cursor: pointer;
}

.navigation_spacer {
    width: 100vw;
    height: 60px;
}